Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class AbstractOptionalAdministratorType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAdministratorType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AdministratorBaseType, AdministratorWithStatusAndSourceType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-04-04T04:00:36+02:00",
               comments="JAXB RI v2.3.6")
    public abstract class AbstractOptionalAdministratorType

extends Object
implements Serializable

Java class for AbstractOptionalAdministratorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalAdministratorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AdministratorGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AbstractOptionalAdministratorType()`

Method Summary
`org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
`LocationType` | `getLocation()` Gets the value of the location property.
`SpecialNotionType` | `getSpecialNotion()` Gets the value of the specialNotion property.
`void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
`void` | `setLocation(LocationType value)` Sets the value of the location property.
`void` | `setSpecialNotion(SpecialNotionType value)` Sets the value of the specialNotion property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOptionalAdministratorType

    public AbstractOptionalAdministratorType()

Method Detail

### getSpecialNotion

    public SpecialNotionType getSpecialNotion()

  Gets the value of the specialNotion property.

  Returns:
    possible object is `SpecialNotionType`

### setSpecialNotion

    public void setSpecialNotion(SpecialNotionType value)

  Sets the value of the specialNotion property.

  Parameters:
    `value` - allowed object is `SpecialNotionType`

### getLocation

    public LocationType getLocation()

  Gets the value of the location property.

  Returns:
    possible object is `LocationType`

### setLocation

    public void setLocation(LocationType value)

  Sets the value of the location property.

  Parameters:
    `value` - allowed object is `LocationType`

### getInceptionDate

    public org.joda.time.DateTime getInceptionDate()

  Gets the value of the inceptionDate property.

  Returns:
    possible object is `String`

### setInceptionDate

    public void setInceptionDate(org.joda.time.DateTime value)

  Sets the value of the inceptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.